bm::ptr_allocator Class Reference
BitMagic Library » bvector<> container » Allocator

Default malloc based bitblock allocator class. More...

`#include <bmalloc.h>`

## Static Public Member Functions

static void * | allocate (size_t n, const void *)
| The member function allocates storage for an array of n void* elements, by calling malloc.
static void | deallocate (void *p, size_t) BMNOEXCEPT
| The member function frees storage for an array of n bm::word_t elements, by calling free.

## Detailed Description

Default malloc based bitblock allocator class.

Functions allocate and deallocate conform to STL allocator specs.

Definition at line 108 of file bmalloc.h.

## Member Function Documentation

## allocate()

void * bm::ptr_allocator::allocate | ( | size_t | n,
|  | const void * | )

inline static

The member function allocates storage for an array of n void* elements, by calling malloc.

Returns
  pointer to the allocated memory.

Definition at line 116 of file bmalloc.h.

References BM_ALLOC_ALIGN.

## deallocate()

void bm::ptr_allocator::deallocate | ( | void * | p,
|  | size_t | )

inline static

The member function frees storage for an array of n bm::word_t elements, by calling free.

Definition at line 137 of file bmalloc.h.

References BMNOEXCEPT.

The documentation for this class was generated from the following file:

- bmalloc.h